#
# spec file for package python3-flexmock
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-flexmock
Version:        0.10.2
Release:        1.2
License:        BSD-2-Clause
Summary:        Testing library that makes it easy to create mocks, stubs and fakes
Url:            https://github.com/bkabrda/flexmock
Group:		Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/f/flexmock/flexmock-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-pytest
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Flexmock is a testing library for Python that makes it easy to create mocks,
stubs and fakes. The API is inspired by a Ruby library of the same name, but
Python flexmock is not a clone of the Ruby version. It omits a number of
redundancies in the Ruby flexmock API, alters some defaults, and introduces
a number of Python-only features.

%prep
%setup -q -n flexmock-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --skip-build --prefix %{_prefix} --root %{buildroot}

%check
PYTHONPATH="." python3 tests/flexmock_unittest_test.py

%files
%defattr(-,root,root)
%doc LICENSE README.rst CHANGELOG
%{python3_sitelib}/flexmock-%{version}-py%{py3_ver}.egg-info
%{python3_sitelib}/flexmock.py
%{python3_sitelib}/__pycache__/*.pyc

%changelog
* Thu Oct 13 2016 alarrosa@suse.com
- Initial package
- Official upstream release 0.10.2
